Search Borrower Accounts

The Search Accounts API gets all borrower accounts by specified filters.
This can be helpful if you want to search one or multiple accounts by account/borrower id or email or phone number.

To enable phone number uniques, please use this API before each request to Create Account or Add/Update Phone Number.

each account includes the following properties:

  • id, which is their Borrower Account ID.
  • borrowerId, which is their Borrower ID.
  • isEmailNotVerified, which is either true or undefined and indicates whether their email is verified.
  • email, which is their email address.
  • phones, which is their phone numbers. deprecated; use phone and isPhoneVerified instead (will be removed in next major version)
  • lastActiveAt, which is when they were last active.
  • status, which is one of (active, blocked, pending).
  • testing, which is boolean flag of the Lending System mode.
  • phone, optional, string.
  • isPhoneVerified, boolean, either true or false.

This API does not require a JSON body.

Query Params
ids
array of strings

Account IDs

ids
emails
array of strings

Account emails

emails
phones
array of strings

Account phones

phones
borrowerIds
array of strings

Borrower IDs

borrowerIds
Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json